Author Topic: [ENEMIES] Men in Black 4.5 | Cover 2.3.2 | Gazer 1.9.1 | Anthropod 1.5.2  (Read 91342 times)

Online Meridian

  • Global Moderator
  • Commander
  • *****
  • Posts: 6534
  • OXCE developer
    • View Profile
    • My Wiki
Re: [ENEMIES] Men in Black 4.5 | Cover 2.3.1 | Gazer 1.9 | Anthropod 1.5.1
« Reply #255 on: November 15, 2020, 09:33:26 pm »
I'm trying to use the Waspite mod, but get this error:

[15-11-2020_15-53-13]   [WARN]   disabling mod with invalid ruleset: cover_alien
[15-11-2020_15-53-13]   [ERROR]   failed to load 'Alien Waspite'; mod disabled
Error for 'CYBERMITE_WEAPON': offset '-3' has incorrect value in set 'BIGOBS.PCK' at line 30

How can I fix it?

Replace the negative numbers with positive:
    -1 to 61
    -2 to 60
    -3 to 59
    -4 to 58
    -5 to 57


More info: https://www.ufopaedia.org/index.php/Ruleset_Reference_Nightly_(OpenXcom)#Negative_indices_and_cross-referencing_other_mods

Offline robin

  • Commander
  • *****
  • Posts: 1057
  • ULTIMATE ROOKIE
    • View Profile
Re: [ENEMIES] Men in Black 4.5 | Cover 2.3.1 | Gazer 1.9 | Anthropod 1.5.1
« Reply #256 on: November 15, 2020, 10:31:30 pm »
Replace the negative numbers with positive:
    -1 to 61
    -2 to 60
    -3 to 59
    -4 to 58
    -5 to 57
i haven't included the sprites so the following syntax is needed:
Code: [Select]
bigSprite: { mod: xcom1, index: 60 }
anyway i uploaded the fixed versions. let me know if the problem persists.

Offline col_w

  • Squaddie
  • *
  • Posts: 2
    • View Profile
Re: [ENEMIES] Men in Black 4.5 | Cover 2.3.2 | Gazer 1.9.1 | Anthropod 1.5.2
« Reply #257 on: November 20, 2020, 12:24:05 am »
Meridian, robin - thanks both, the Waspite mod now loads properly.